MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022865Community[OCCT] OCCT:Documentationpublic2011-12-20 11:492012-04-03 19:34
Reporterszy 
Assigned Toapv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022865: Lost refrence information in the OCCT6.5.2 documentation generated by new version of Doxygen
DescriptionPost from the Forum (user Timo) - http://www.opencascade.org/org/forum/thread_22424/. [^]
Why was the information about the module, toolkit and package a class belongs to removed from the class reference page in OCCT 6.5.2? In OCCT 6.5.1 it was shown on the top of the page and I found it helpful to learn the structure and to navigate to other files from the same package. Especially, if you go to a class reference page via the search field, you might not know to which package it belongs.
TagsNo tags attached.
Test case number
Attached Filesjpg file icon thread_22424.jpg (42,247 bytes) 2011-12-20 11:49

- Relationships

-  Notes
(0018924)
bugmaster (administrator)
2011-12-20 17:14

As workaround reference documentation has been rebuild with doxygen 1.6.3. New version of install procedure has been uploaded to www.opencascade.org for downloading.
(0020164)
bugmaster (administrator)
2012-03-27 15:44

Integrated into occt-products repository

Date: 2012-03-27 15:27:40 +0400 (Tue, 27 Mar 2012)
New Revision: 18584

Modified:
   trunk/src/WOKTclLib/OCCTDocumentation.tcl

- Issue History
Date Modified Username Field Change
2011-12-20 11:49 szy New Issue
2011-12-20 11:49 szy Assigned To => atp
2011-12-20 11:49 szy File Added: thread_22424.jpg
2011-12-20 11:51 szy Assigned To atp => apl
2011-12-20 11:51 szy Status new => assigned
2011-12-20 12:08 szy Assigned To apl => apv
2011-12-20 17:14 bugmaster Note Added: 0018924
2012-01-12 18:27 san Status assigned => resolved
2012-01-12 18:27 san Status resolved => assigned
2012-03-12 07:31 abv Assigned To apv => abv
2012-03-22 09:09 abv Assigned To abv => bugmaster
2012-03-22 15:41 bugmaster Assigned To bugmaster => apv
2012-03-27 15:40 bugmaster Status assigned => resolved
2012-03-27 15:44 bugmaster Status resolved => reviewed
2012-03-27 15:44 bugmaster Note Added: 0020164
2012-03-27 15:44 bugmaster Status reviewed => verified
2012-03-27 15:44 bugmaster Resolution open => fixed
2012-04-03 19:34 abv Description Updated View Revisions


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker